# $Revision: 1.11 $, $Date: 2009/07/10 21:22:28 $
Summary:	Microcode image for Intel Wireless WiFi Link 4965AGN Adapter
Summary(pl.UTF-8):	Obraz mikrokodu dla układów bezprzewodowych Intel Wireless WiFi Link 4965AGN
%define	_module	4965
%define version1 228.57.1.21
Name:		iwlwifi-%{_module}-ucode
Version:	228.61.2.24
Release:	1
License:	distributable
Group:		Base/Kernel
Source0:	http://www.intellinuxwireless.org/iwlwifi/downloads/%{name}-%{version}.tgz
# Source0-md5:	2531028773cfc22aca5539c734f2a241
Source1:	http://www.intellinuxwireless.org/iwlwifi/downloads/%{name}-%{version1}.tgz
# Source1-md5:	bce5a13d681100aeee2ddac3beaff437
URL:		http://www.intellinuxwireless.org/
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The file provided in this package must be present on your system in
order for the Intel Wireless WiFi Link 4965AGN driver for Linux
(iwlwifi-%{_module}) to operate on your system.

On adapter initialization, and at varying times during the uptime of
the adapter, the microcode is loaded into the RAM on the network
adapter. The microcode provides the low level MAC features including
radio control and high precision timing events (backoff, transmit,
etc.) while also providing varying levels of packet filtering which can
be used to keep the host from having to handle packets that are not of
interest given the current operating mode of the device.

%description -l pl.UTF-8
Plik dostarczany przez ten pakiet jest wymagany w systemie do działania
linuksowego sterownika dla układów bezprzewodowych Intel Wireless WiFi
Link 4965AGN (iwlwifi-%{_module}).

Przy inicjalizacji układu i w różnych chwilach w trakcie jego
działania mikrokod jest wczytywany do pamięci RAM układu. Mikrokod
udostępnia funkcje niskopoziomowe MAC, w tym sterowanie częścią
radiową i zdarzeniami wymagającymi dużej dokładności czasowej
(oczekiwania, transmisja itp.), a także różne poziomy filtrowania
pakietów, zapobiegające docieraniu do komputera pakietów
niepotrzebnych w danym trybie pracy urządzenia.

%prep
%setup -q -a 1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/lib/firmware

install iwlwifi-%{_module}-2.ucode $RPM_BUILD_ROOT/lib/firmware
install %{name}-%{version1}/iwlwifi-%{_module}-1.ucode $RPM_BUILD_ROOT/lib/firmware
install LICENSE.%{name} $RPM_BUILD_ROOT/lib/firmware/%{name}-LICENSE

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.%{name}
/lib/firmware/%{name}-LICENSE
/lib/firmware/*.ucode

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: iwlwifi-4965-ucode.spec,v $
Revision 1.11  2009/07/10 21:22:28  vip
- up to 228.61.2.24

Revision 1.10  2009/01/19 14:11:36  gotar
- upgraded to 228.57.2.23

Revision 1.9  2009/01/17 00:58:27  gotar
- simplified

Revision 1.8  2008/07/24 18:00:44  patrys
- fix arekm's change (different kernel versions use different firmware files):
- provide both v1 and v2 firmware
- rel 2

Revision 1.7  2008/07/16 05:22:27  arekm
- up to 228.57.2.21

Revision 1.6  2008/07/04 19:41:57  blues
- 228.57.1.21

Revision 1.5  2008/06/24 14:06:15  blues
- desc unified

Revision 1.4  2008-02-09 00:15:14  areq
- typo

Revision 1.3  2008-01-14 19:06:30  qboosh
- pl, fixed Group

Revision 1.2  2007-12-01 10:28:18  blues
- 4.44.1.20

Revision 1.1  2007/10/13 20:58:55  blues
- initial

Revision 1.1  2007/10/13 20:53:00  blues
- initial
